> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Items in Collections

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

To list all files, folders and web links in a folder call the [`GET
/collections/:id/items`](/reference/get-collections-id-items) API.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/collections/926489/items" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.collections.getCollectionItems(favouriteCollection.id!);
  ```

  ```python Python v10 theme={null}
  client.collections.get_collection_items(favourite_collection.id)
  ```

  ```cs .NET v10 theme={null}
  await client.Collections.GetCollectionItemsAsync(collectionId: NullableUtils.Unwrap(favouriteCollection.Id));
  ```

  ```swift Swift v10 theme={null}
  try await client.collections.getCollectionItems(collectionId: favouriteCollection.id!)
  ```

  ```java Java v5 theme={null}
  BoxFolder folder = new BoxFolder(api, "id");
  for (BoxItem.Info itemInfo : folder) {
      if (itemInfo instanceof BoxFile.Info) {
          BoxFile.Info fileInfo = (BoxFile.Info) itemInfo;
          // Do something with the file.
      } else if (itemInfo instanceof BoxFolder.Info) {
          BoxFolder.Info folderInfo = (BoxFolder.Info) itemInfo;
          // Do something with the folder.
      }
  }
  ```

  ```python Python v4 theme={null}
  items = client.collection(collection_id='12345').get_items()
  for item in items:
      print(f'{item.type.capitalize()} "{item.name}" is in the collection')
  ```

  ```cs .NET v6 theme={null}
  BoxCollection<BoxItem> items = await client.CollectionsManager.GetCollectionItemsAsync(id: "11111");
  ```

  ```javascript Node v4 theme={null}
  client.collections.getItems('81934', {fields: 'name', limit: 2})
  	.then(items => {
  		/* items -> { total_count: 24,
  			entries: 
  			[ { type: 'folder',
  				id: '192429928',
  				sequence_id: '1',
  				etag: '1',
  				name: 'Stephen Curry Three Pointers' },
  				{ type: 'file',
  				id: '818853862',
  				sequence_id: '0',
  				etag: '0',
  				name: 'Warriors.jpg' } ],
  			offset: 0,
  			limit: 2 }
  		*/
  	});
  ```
</CodeGroup>

<Warning>
  The only collection that is available via the API is the "Favorites"
  collection. The ID of this collection is [different for every
  user](/guides/collections/list).
</Warning>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("List collection items"), href: "/reference/get-collections-id-items", badge: "GET" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Offset-based Pagination"), href: "/guides/api-calls/pagination/offset-based", badge: "GUIDE" }
]}
/>
